%{?mingw_package_header}

%global pkgname setuptools

Name:          mingw-python-%{pkgname}
Summary:       MinGW Windows Python %{pkgname} library
Version:       39.0.1
Release:       1%{?dist}
BuildArch:     noarch

License:       MIT
URL:           https://pypi.python.org/pypi/%{pkgname}
Source0:       https://files.pythonhosted.org/packages/source/s/%{pkgname}/%{pkgname}-%{version}.zip

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-python2

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-python2


%description
MinGW Windows Python %{pkgname} library.


%package -n mingw32-python2-%{pkgname}
Summary:       MinGW Windows Python2 %{pkgname} library

%description -n mingw32-python2-%{pkgname}
MinGW Windows Python2 %{pkgname} library.


%package -n mingw64-python2-%{pkgname}
Summary:       MinGW Windows Python2 %{pkgname} library

%description -n mingw64-python2-%{pkgname}
MinGW Windows Python2 %{pkgname} library.


%prep
%autosetup -p1 -n %{pkgname}-%{version}

# Remove bundled exes
rm -f setuptools/*.exe

# Strip shebangs on python modules
find setuptools -name \*.py | xargs sed -i -e '1 {/^#!\//d}'


%build
%{mingw32_python2} setup.py build -b build_mingw32
%{mingw64_python2} setup.py build -b build_mingw64


%install
ln -s build_mingw32 build
%{mingw32_python2} setup.py install -O1 --skip-build --root=%{buildroot}
rm build

ln -s build_mingw64 build
%{mingw64_python2} setup.py install -O1 --skip-build  --root=%{buildroot}
rm build

find %{buildroot}%{mingw32_python2_sitearch}/ -name '*.exe' | xargs rm -f
find %{buildroot}%{mingw64_python2_sitearch}/ -name '*.exe' | xargs rm -f


%files -n mingw32-python2-%{pkgname}
%license LICENSE
%{mingw32_bindir}/easy_install*
%{mingw32_python2_sitearch}/*

%files -n mingw64-python2-%{pkgname}
%license LICENSE
%{mingw64_bindir}/easy_install*
%{mingw64_python2_sitearch}/*


%changelog
* Wed Mar 21 2018 Sandro Mani <manisandro@gmail.com> - 39.0.1-1
- Update to 39.0.1

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 38.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Sandro Mani <manisandro@gmail.com> - 38.4.0-1
- Update to 38.4.0

* Wed Jan 03 2018 Sandro Mani <manisandro@gmail.com> - 38.2.5-1
- Update to 38.2.5

* Thu Nov 23 2017 Sandro Mani <manisandro@gmail.com> - 37.0.0-1
- Update to 37.0.0

* Tue Sep 05 2017 Sandro Mani <manisandro@gmail.com> - 36.2.0-2
- Remove bundled exes
- Remove shebangs on python modules
- Delete exes underneath site-packages

* Thu Aug 31 2017 Sandro Mani <manisandro@gmail.com> - 36.2.0-1
- Initial package
